Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPCellDataToPointData Class Reference

`#include <vtkPCellDataToPointData.h>`

Inheritance diagram for vtkPCellDataToPointData:

[legend]
Collaboration diagram for vtkPCellDataToPointData:

[legend]
List of all members.

## Detailed Description

Compute point arrays from cell arrays.

Date:
  2002/03/12 18:22:33

Revision:
  1.1

Like it super class, this filter averages the cell data around a point to get new point data. This subclass requests a layer of ghost cells to make the results invariant to pieces. There is a "PieceInvariant" flag that lets the user change the behavior of the filter to that of its superclass.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (100%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPCellDataToPointData.cxx)`
  - .`h` (`/Parallel/vtkPCellDataToPointData.h)`

Definition at line 44 of file vtkPCellDataToPointData.h.

## Public Types
typedef vtkCellDataToPointData | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPieceInvariant (int)
virtual int | GetPieceInvariant ()
virtual void | PieceInvariantOn ()
virtual void | PieceInvariantOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPCellDataToPointData * | SafeDownCast (vtkObject *o)
vtkPCellDataToPointData * | New ()
## Protected Methods
| vtkPCellDataToPointData ()
| ~vtkPCellDataToPointData ()
virtual void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | PieceInvariant

## Member Typedef Documentation

typedef vtkCellDataToPointData vtkPCellDataToPointData::Superclass

| Reimplemented from vtkCellDataToPointData. Definition at line 47 of file vtkPCellDataToPointData.h.

## Constructor & Destructor Documentation

vtkPCellDataToPointData::vtkPCellDataToPointData | ( |  | ) | `[protected]`

vtkPCellDataToPointData::~vtkPCellDataToPointData | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkPCellDataToPointData.h.

## Member Function Documentation

virtual const char* vtkPCellDataToPointData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCellDataToPointData.

int vtkPCellDataToPointData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCellDataToPointData.

virtual int vtkPCellDataToPointData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCellDataToPointData.

vtkPCellDataToPointData* vtkPCellDataToPointData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCellDataToPointData.

void vtkPCellDataToPointData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCellDataToPointData.

vtkPCellDataToPointData* vtkPCellDataToPointData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCellDataToPointData.

virtual void vtkPCellDataToPointData::SetPieceInvariant | ( | int |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual int vtkPCellDataToPointData::GetPieceInvariant | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPCellDataToPointData::PieceInvariantOn | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPCellDataToPointData::PieceInvariantOff | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPCellDataToPointData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkCellDataToPointData.

void vtkPCellDataToPointData::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| By default copy the output update extent to the input Reimplemented from vtkDataSetToDataSetFilter.

## Member Data Documentation

int vtkPCellDataToPointData::PieceInvariant`[protected]`

| Definition at line 68 of file vtkPCellDataToPointData.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPCellDataToPointData.h